org.eclipse.ease.lang.unittest.definition

## Interface IVariable

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  Variable

    public interface IVariable
    extends org.eclipse.emf.ecore.EObject

A representation of the model object 'Variable'.

The following features are supported:

- `Full Name`
- `Content`
- `Description`
- `Enum Provider ID`

See Also:
  `IDefinitionPackage.getVariable()`

### Method Summary

All Methods Instance Methods Abstract Methods
`java.lang.String` `getContent()` Returns the value of the 'Content' attribute.
`java.lang.String` `getDescription()` Returns the value of the 'Description' attribute.
`java.lang.String` `getEnumProviderID()` Returns the value of the 'Enum Provider ID' attribute.
`IPath` `getFullName()` Returns the value of the 'Full Name' attribute.
`java.lang.String` `getName()`
`IPath` `getPath()`
`boolean` `isSetEnumProviderID()` Returns whether the value of the '`Enum Provider ID`' attribute is set.
`void` `setContent(java.lang.String value)` Sets the value of the '`Content`' attribute.
`void` `setDescription(java.lang.String value)` Sets the value of the '`Description`' attribute.
`void` `setEnumProviderID(java.lang.String value)` Sets the value of the '`Enum Provider ID`' attribute.
`void` `setFullName(IPath value)` Sets the value of the '`Full Name`' attribute.
`void` `unsetEnumProviderID()` Unsets the value of the '`Enum Provider ID`' attribute.

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

### Method Detail

#### getFullName

    IPath getFullName()

Returns the value of the 'Full Name' attribute.

If the meaning of the 'Full Name' attribute isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Full Name' attribute.
See Also:
  `setFullName(IPath)`, `IDefinitionPackage.getVariable_FullName()`

#### setFullName

    void setFullName(IPath value)

Sets the value of the '`Full Name`' attribute.

Parameters:
  `value` - the new value of the 'Full Name' attribute.
See Also:
  `getFullName()`

#### getName

    java.lang.String getName()

If the meaning of the 'Name' attribute isn't clear, there really should be more of a description here...

#### getContent

    java.lang.String getContent()

Returns the value of the 'Content' attribute. The default value is `""`.

If the meaning of the 'Content' attribute isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Content' attribute.
See Also:
  `setContent(String)`, `IDefinitionPackage.getVariable_Content()`

#### setContent

    void setContent(java.lang.String value)

Sets the value of the '`Content`' attribute.

Parameters:
  `value` - the new value of the 'Content' attribute.
See Also:
  `getContent()`

#### getDescription

    java.lang.String getDescription()

Returns the value of the 'Description' attribute. The default value is `""`.

If the meaning of the 'Description' attribute isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Description' attribute.
See Also:
  `setDescription(String)`, `IDefinitionPackage.getVariable_Description()`

#### setDescription

    void setDescription(java.lang.String value)

Sets the value of the '`Description`' attribute.

Parameters:
  `value` - the new value of the 'Description' attribute.
See Also:
  `getDescription()`

#### getEnumProviderID

    java.lang.String getEnumProviderID()

Returns the value of the 'Enum Provider ID' attribute.

If the meaning of the 'Enum Provider ID' attribute isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Enum Provider ID' attribute.
See Also:
  `isSetEnumProviderID()`, `unsetEnumProviderID()`, `setEnumProviderID(String)`, `IDefinitionPackage.getVariable_EnumProviderID()`

#### setEnumProviderID

    void setEnumProviderID(java.lang.String value)

Sets the value of the '`Enum Provider ID`' attribute.

Parameters:
  `value` - the new value of the 'Enum Provider ID' attribute.
See Also:
  `isSetEnumProviderID()`, `unsetEnumProviderID()`, `getEnumProviderID()`

#### unsetEnumProviderID

    void unsetEnumProviderID()

Unsets the value of the '`Enum Provider ID`' attribute.

See Also:
  `isSetEnumProviderID()`, `getEnumProviderID()`, `setEnumProviderID(String)`

#### isSetEnumProviderID

    boolean isSetEnumProviderID()

Returns whether the value of the '`Enum Provider ID`' attribute is set.

Returns:
  whether the value of the 'Enum Provider ID' attribute is set.
See Also:
  `unsetEnumProviderID()`, `getEnumProviderID()`, `setEnumProviderID(String)`

#### getPath

    IPath getPath()

If the meaning of the 'Path' attribute isn't clear, there really should be more of a description here...